Subject: Re: linux-next: build warning in Linus' tree

From: Antti Palosaari <[email-masked]>
Date: Tue, 06 Nov 2012 00:36:12 +0200

On 10/28/2012 09:44 PM, Mauro Carvalho Chehab wrote:
> Em Wed, 24 Oct 2012 13:43:33 +1100
> Stephen Rothwell <[email-masked]> escreveu:
>
>> Hi Mauro,
>>
>> After merging the origin tree, today's linux-next build (x86_64
>> allmodconfig) produced this warning:
>>
>> drivers/media/usb/dvb-usb-v2/dvb_usb_core.c: In function 'dvb_usb_ctrl_feed':
>> drivers/media/usb/dvb-usb-v2/dvb_usb_core.c:291:12: warning: 'ret' may be used uninitialized in this function [-Wuninitialized]
>>
>> Which points out some badly formatted and blocked code ...
>>
>> Probably introduced by commit 62a5f449cab5 ("[media] dvb_usb_v2: refactor
>> dvb_usb_ctrl_feed() logic").
>
>
> Hi Stephen,
>
> Thanks for pointing it. It took me some time, but I applied today
> a bunch of patches that are fixing all warnings on everything
> at drivers/media and drivers/staging/media, with:
> 	make ARCH=i386 W=1
> (allyesconfig, gcc 4.7.2)
>
> Maybe there are still a few ones with random configs and other
> archs, but at least on my usual testing environment, we're
> warnings-free on drivers/media for now, probably up to the
> next gcc version.

Sorry for the delay, I was on holiday trip.

hmmm, yes there seems to be something stupid, like missing block braces. 
I will check that during this week and fix properly if Mauro didn't 
already fixed it.

regards
Antti

-- 
http://palosaari.fi/